> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emnify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emnify.com/_mcp/server.

# List eUICCs

GET https://cdn.emnify.net/api/v1/euicc

List all eUICCs for your organization.
Use filter parameters to search for specific eUICCs and sort to order the response list.


Reference: https://docs.emnify.com/developers/api/euicc/list-euiccs

## Authentication

- `Authorization` header (bearer token, required) — An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to `/api/v1/authenticate`.

## Request

### Query parameters

- `page` (integer, optional, default: 1) — Page number (1-based).
- `per_page` (integer, optional, default: 100) — Items per page.
- `q` (string, optional) — Filter parameter in `<field>:<criteria>` format. Expects a comma-separated list from the allowed fields: * `id` * `eid` * `supported_profile_type` * `status` * `eim`
- `sort` (string, optional) — Sort properties according to a comma separated list from the allowed fields (prefix with `-` for descending): - `id` - `eid` - `modified` - `supported_profile_type` - `status` - `eim`

## Response

### 200

List of eUICCs

- `list of Euicc`

## Errors

### 400 Bad Request Error

Bad Request

- `status_code` (integer, required)
- `message` (string, required)

### 401 Unauthorized Error

Unauthorized

- `status_code` (integer, required)
- `message` (string, required)

### 403 Forbidden Error

Forbidden

- `status_code` (integer, required)
- `message` (string, required)

### 404 Not Found Error

Not Found

- `status_code` (integer, required)
- `message` (string, required)

### 500 Internal Server Error

Internal Server Error

- `status_code` (integer, required)
- `message` (string, required)

## Types

### Euicc

- `id` (integer, required)
- `eid` (string, required)
- `created` (string, required)
- `profile` (list of Profile, required)
- `issuer_org` (Organisation, optional)
- `customer_org` (Organisation, optional)
- `supported_profile_type` (EuiccSupportedProfileType, optional)
- `status` (Status, optional)
- `last_audited` (string, optional, nullable)
- `last_polled` (string, optional, nullable)
- `last_synced` (string, optional, nullable)
- `eim` (EuiccEim, optional)

### Profile

- `iccid_with_luhn` (string, required) — Full ICCID including the Luhn check digit
- `status` (ProfileStatus, optional)
- `customer_org` (Organisation, optional, nullable)
- `name` (string, optional, nullable)
- `operator` (IdName, optional, nullable)
- `preloaded` (boolean, optional, nullable)
- `fallback_allowed` (boolean, optional, nullable)
- `fallback_attribute` (boolean, optional, nullable)
- `profile_type` (ProfileProfileType, optional, nullable)
- `endpoint` (Endpoint, optional, nullable)

### Organisation

- `id` (integer, optional)
- `name` (string, optional)

### EuiccSupportedProfileType

- `id` (integer, optional)
- `description` (string, optional)

### Status

- `id` (integer, required)
- `description` (string, required)

### EuiccEim

- `id` (integer, optional)
- `description` (string, optional)

### ProfileStatus

- `id` (integer, optional)
- `description` (string, optional)

### IdName

- `id` (integer, optional)
- `name` (string, optional)

### ProfileProfileType

- `id` (integer, optional)
- `description` (string, optional)

### Endpoint

- `id` (integer, optional)
- `name` (string, optional)

## Examples

### List All eUICCs

**Response**

```json
[
  {
    "id": 123456,
    "eid": "89634247065724874780755570224832",
    "created": "2025-08-26T09:31:51.000Z",
    "profile": [
      {
        "iccid_with_luhn": "89883030000123456789",
        "status": {
          "id": 1,
          "description": "Available"
        },
        "customer_org": {
          "id": 44,
          "name": "emnify Test"
        },
        "name": "emnify IoT eSIM profile",
        "operator": {
          "id": 851,
          "name": "emnify"
        },
        "preloaded": true,
        "fallback_allowed": true,
        "fallback_attribute": true,
        "profile_type": {
          "id": 5,
          "description": "IoT eUICC Profile"
        },
        "endpoint": {
          "id": 789123,
          "name": "My device"
        }
      }
    ],
    "issuer_org": {
      "id": 2,
      "name": "emnify GmbH"
    },
    "customer_org": {
      "id": 44,
      "name": "emnify Test"
    },
    "supported_profile_type": {
      "id": 5,
      "description": "IoT eUICC Profile"
    },
    "status": {
      "id": 1,
      "description": "Active"
    },
    "last_audited": "2025-09-25T11:56:15.000Z",
    "last_polled": "2025-09-25T11:56:15.000Z",
    "last_synced": "2025-09-25T11:56:15.000Z",
    "eim": {
      "id": 1,
      "description": "TBD"
    }
  }
]
```

**SDK Code**

```python List All eUICCs
import requests

url = "https://cdn.emnify.net/api/v1/euicc"

querystring = {"page":"1","per_page":"25"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript List All eUICCs
const url = 'https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List All eUICCs
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List All eUICCs
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java List All eUICCs
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php List All eUICCs
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp List All eUICCs
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift List All eUICCs
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc?page=1&per_page=25")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by EID

**Response**

```json
[
  {
    "id": 123789,
    "eid": "89634247065724874780755570225034",
    "created": "2025-08-26T09:31:51.000Z",
    "profile": []
  }
]
```

**SDK Code**

```python Filter by EID
import requests

url = "https://cdn.emnify.net/api/v1/euicc"

querystring = {"q":"eid:89634247065724874780755570225034"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Filter by EID
const url = 'https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by EID
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by EID
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Filter by EID
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Filter by EID
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by EID
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Filter by EID
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc?q=eid%3A89634247065724874780755570225034")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```